on stopMovie
  --alert("STOP")
  if the runmode contains "author" then
    member("INFO").text = ""
    member("user_agent").text = "HTTP-CLASS/1.0"
  end if
end

----------------------------------------
-- RETURNS FLOAT AS STRING WITH GIVEN PRECISION
----------------------------------------
on _float (f, prec)
  fp = the floatprecision
  the floatprecision = prec
  str = string(float(f))
  the floatprecision = fp
  return str
end

----------------------------------------
-- CONVERT LF OR CRLF TO CR (=DIRECTOR'S RETURN)
----------------------------------------
on cr (str)
  if checkXtra("PRegEx") then
    l = [str]
    PRegEx_Replace(l, "(\x0D\x0A)|[\x0A]", "g", "\n") -- line ends
    return l[1]
  else
    LF = numtochar(10)
    CR = numtochar(13)
    str = str_replace(CR&LF, CR, str) -- PC
    str = str_replace(LF, CR, str) -- UNIX
    return str
  end if
end

on checkXtra (tXtraName)
  cnt = the number of xtras
  repeat with i = 1 to cnt
    if xtra(i).name = tXtraName then return true
  end repeat
  return false
end

on str_replace (stringToFind, stringToInsert, input)
  output = ""
  findLen = stringToFind.length - 1
  repeat while true
    currOffset = offset(stringToFind, input)
    if currOffset=0 then exit repeat
    put input.char [1..currOffset] after output
    delete the last char of output
    put stringToInsert after output
    delete input.char [1.. (currOffset + findLen)] 
  end repeat
  put input after output
  return output
end