-- Checkbox behavior

property pS, pM

property pValue    -- Value of radion button
property pName     -- Button name in FDF form
property pChecked  -- Whether button is checked by default

on beginSprite me
  pS = sprite(me.spriteNum)
  pM = pS.member
  
  pM.hilite = me.pChecked
end

on endSprite me
  pM.hilite = FALSE
end

on getFormData me, data
  if pM.hilite then
    --data.add(["name":pName, "value":pValue])
    data[pName] = pValue
  end if
end

on getPropertyDescriptionList me
  pl = [:]
  pl[#pName] = [#comment: "Button-Name", #format:  #string, #default: ""]
  pl[#pValue] = [#comment: "Button-Value", #format: #string, #default: ""]
  pl[#pChecked] = [#comment: "Checked?", #format: #boolean, #default: FALSE]
  return pl
end
