property pS
property pM
property pShape

property pFormatList
property pFormatNames

property pFormat
property pFormatName

on beginSprite me
  pS=sprite(me.spriteNum)
  pM=pS.member
  
  me.reset()
end

on reset me
  pShape.rect=rect(-100,0,0,0)
  pFormatList=[]
  pFormatNames=[]
  pFormat=VOID
  pFormatName=VOID
end

on setFormatList me, fl
  pFormatList = fl
end

on setFormatNames me, fl
  pFormatNames = fl
end

on mouseDown me
  ln=pS.pointToLine(the mouseLoc)
  if ln=0 or pFormatList=[] then
    pShape.rect=rect(-100,0,0,0)
    pFormat=VOID
  else
    y=max(pS.top + pM.lineHeight*(ln-1) - pM.scrollTop,pS.top)
    pShape.width=261 --pS.width+3
    pShape.height=min(pM.lineHeight+1,pS.bottom-y)
    pShape.loc=point(pS.left+1,y+1)
    
    pFormat=pFormatList[ln]
    pFormatName=pFormatNames[ln]
    
    typeList = [:]
    sendAllSprites(#appendFDFData, typeList)
    display = typeList["display"]
        
    visList = ["txt","hex"]
    if (pFormatName contains "Rich Text Format" OR pFormatName contains "RTF") then visList.add("rtf")
    if (pFormatName = "HTML Format") then visList.add("html")
    if (pFormatName contains "unicode" or pFormatName="text/html") then visList.add("unicode")
    if (pFormat=8 OR pFormat=2) then visList.add("image")
    
    if visList.getPos(display)=0 then sendAllSprites(#resetRadioButtons, 1)
    sendAllSprites(#showRadio, visList)
    
    showData()
  end if
end

on getPropertyDescriptionList me
  pl = [:]
  pl[#pShape] = [#comment:"Shape-Sprite", #format:#sprite, #default: sprite(0)]
  return pl
end