----------------------------------------
-- explode
----------------------------------------
on explode (delim, str, limit)
  --  put str
  --  put offset(numtochar(13)&numtochar(10), str)
  --  return
  
  l=[]
  if voidP(str) then return l
  if voidP(limit) then limit=the maxinteger
  dl=length(delim)
  
  repeat while true
    pos=offset(delim,str)
    if pos=0 then exit repeat
    
    s=str.char[1..pos-1]
    l.add(s)
    
    --str=str.char[pos+dl..length(str)]
    delete char 1 to pos+dl-1 of str
    if l.count=limit-1 then
      l.add(str)
      return l
    end if
  end repeat
  
  if pos=0 then pos=1-dl
  l.add(str.char[pos+dl..length(str)])
  
  return l
end 

----------------------------------------
-- 
----------------------------------------
on chunk_split (str, chunklen, eol)
  if voidP(chunklen) then chunklen=76
  if voidP(eol) then eol=numtochar(13)&numtochar(10)
  cnt = str.length/chunklen
  repeat with i=cnt down to 1
    put eol after char i*chunklen of str
  end repeat
  return str
end

----------------------------------------
-- max. 6 digits, returns integer
----------------------------------------
on hex2dec h
  col = rgb(h)
  return col.red*65536 + col.green*256 + col.blue
end

----------------------------------------
-- 
----------------------------------------
on _urlencode (str)
  enc = ""
  ok = "-.0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ_"
  len = str.length
  repeat with i = 1 to len
    c = str.char[i]
    if offset(c, ok) then put c after enc
    else if c=SPACE then put "+" after enc
    else put "%"&rgb(chartonum(c),0,0).hexString().char[2..3] after enc
  end repeat
  return enc
end

----------------------------------------
-- 
----------------------------------------
on getDataString (data)
  str = ""
  cnt = data.count
  repeat with i = 1 to cnt
    put _urlencode(data.getPropAt(i)) & "=" & _urlencode(data[i]) after str
    if i<cnt then put "&" after str
  end repeat
  return str
end

----------------------------------------
-- e.g. "21452727112005-1207482530"
----------------------------------------
on uniqueID
  t = the long time
  delete char 9 of t
  delete char 6 of t
  delete char 3 of t
  d = the date
  delete char 6 of d
  delete char 3 of d
  return t & d &"-"& random(the maxinteger)
end
